import { ISerializable } from '../../serialization/index';
import { IdmStateEvent } from './idm-state-event';
import { OperationalState } from './enums/index';
/**
 * Serializable REDHAWK IDM Operational State Event model
 */
export declare class OperationalStateEvent extends IdmStateEvent<OperationalState> implements ISerializable<OperationalStateEvent> {
    /** Deserializes a JSON object into this data type. */
    deserialize(input: any): this;
}
