import { ISerializable } from '../../serialization/index';
import { OdmEvent } from './odm-event';
/**
 * Base class for REDHAWK Domain Management object events (add/remove)
 */
export declare class DomainManagementObjectEvent extends OdmEvent implements ISerializable<DomainManagementObjectEvent> {
    /** Entity that produced this event */
    producerId: string;
    /** Deserializes a JSON object into this class */
    deserialize(input: any): this;
}
