/**
 * PORT IDL Namespace Enumeration
 */
export declare enum PortIDLNameSpace {
    UNKNOWN = 0,
    BULKIO = 1,
    FRONTEND = 2,
    ExtendedEvent = 3,
    CosEventChannelAdmin = 4
}
/**
 * Function for converting a string name to the port IDL namespace enumeration.
 * @param val The value to resolve to the enumeration
 */
export declare function resolvePortIDLNameSpace(val: string): PortIDLNameSpace;
