import { Property } from './property';
import { PropertySet } from './property-set';
/**
 * List of REDHAWK Property Models
 */
export declare type PropertySet = Array<Property>;
/**
 * Helper method to deserialize JSON properties into a REDHAWK PropertySet.
 *
 * @param [inputs] A JSON Object that is a PropertySet
 */
export declare function deserializeProperties(inputs?: any): PropertySet;
