import { ISerializable } from '../serialization/index';
/**
 * Serializable REDHAWK 'Redhawk' top-level model which is a domain listing.
 */
export declare class Redhawk implements ISerializable<Redhawk> {
    /** List of Domain Names seen by this naming service */
    domains: Array<string>;
    /** constructor */
    constructor();
    /** Deserializes a JSON object into this class */
    deserialize(input: any): this;
}
