import { ISerializable } from '../serialization/index';
import * as resource from '../resource/index';
/**
 * Serializable REDHAWK Waveform model
 */
export declare class Waveform extends resource.Resource implements ISerializable<Waveform> {
    /** Components in the waveform */
    components: resource.ResourceRefs;
    /** Constructor */
    constructor();
    /** Deserializes a JSON object into this class */
    deserialize(input: any): this;
}
