/**
 * TBD
 * Base class for port references.
 */
export declare class PortRef {
    url: string;
    /**
     * Constructor
     * @param url REST URL of the port
     */
    constructor(url: string);
    /**
     * If this port reference is being deleted/removed, call this method.
     */
    release(): void;
}
