import { ISerializableFn } from '../serialization/index';
/**
 * Keywords are basic JS object, however we're converting
 * it to a Map to avoid concerns about object member names.
 */
export declare type Keywords = Map<string, any>;
declare let deserializeKeywords: ISerializableFn<Keywords>;
export { deserializeKeywords };
