import { ISerializable } from '../../serialization/index';
import { IdmStateEvent } from './idm-state-event';
import { AdministrativeState } from './enums/index';
/**
 * Serializable REDHAWK IDM Administrative State Event
 */
export declare class AdministrativeStateEvent extends IdmStateEvent<AdministrativeState> implements ISerializable<AdministrativeStateEvent> {
    /** Deserializes a JSON object into this class */
    deserialize(input: any): this;
}
