import { ISerializable } from '../../serialization/index';
import { IdmStateEvent } from './idm-state-event';
import { UsageState } from './enums/index';
/**
 * Serializable REDHAWK IDM Usage State Event model
 */
export declare class UsageStateEvent extends IdmStateEvent<UsageState> implements ISerializable<UsageStateEvent> {
    /** Deserializes a JSON object into this class */
    deserialize(input: any): this;
}
