import { ISerializable } from '../../serialization/index';
import { SourceCategory } from './enums/index';
import { DomainManagementObjectEvent } from './domain-management-object-event';
/**
 * Serializable REDHAWK Domain Object Removed Event
 */
export declare class DomainManagementObjectRemovedEvent extends DomainManagementObjectEvent implements ISerializable<DomainManagementObjectRemovedEvent> {
    /** Category of this event (i.e., the type of REDHAWK entity producing it) */
    sourceCategory: SourceCategory;
    /** Deserializes a JSON object into this class */
    deserialize(input: any): this;
}
