/**
 * Enumeration for the direction of the port
 */
export declare enum PortDirection {
    UNKNOWN = 0,
    Uses = 1,
    Provides = 2
}
/**
 * Convenience function for converting the string direction returned from the
 * server to the enumeration.
 *
 * @param val - The string name of the port direction.
 */
export declare function resolvePortDirection(val: string): PortDirection;
