import { ISerializable } from '../serialization/index';
import * as enums from './enums/index';
/**
 * Serializable REDHAWK Port IDL Model
 */
export declare class PortIDL implements ISerializable<PortIDL> {
    /** Port IDL Namespace */
    namespace: enums.PortIDLNameSpace;
    /** IDL Version */
    version: string;
    /** IDL Type */
    type: enums.PortIDLType;
    /** Deserializes a JSON object into this class */
    deserialize(input: any): this;
}
