import { PipeTransform } from '@angular/core';
import { Ports } from '../models/index';
/**
 * Returns a sub-list of ports from a list of properties using an array of names
 * or a single name.  In either case, the entries can be regular expressions.
 * An optional third argument is provided, 'bulkio', which will further filter
 * the list to only those that support BULKIO web sockets.
 */
export declare class PortsPipe implements PipeTransform {
    transform(ports: Ports, names: string | Array<string>, bulkio?: boolean): Ports;
}
