import { PipeTransform } from '@angular/core';
import { ResourceRefs } from '../models/index';
import { IRefFilter } from './ref-filter';
/**
 * Returns a list (ResourceRefs) that match either the ID or the Name specified
 * in the filter.
 *
 * Supports Regular Expressions.
 */
export declare class ResourceRefsPipe implements PipeTransform {
    transform(refs: ResourceRefs, target: IRefFilter): ResourceRefs;
}
